class sparkleshare::server {

  exec { 'download_dazzle':
    path => '/usr/bin/',
    command => 'curl https://raw.github.com/hbons/Dazzle/master/dazzle.sh --output /usr/bin/dazzle && chmod +x /usr/bin/dazzle',
    unless => 'test -f /usr/bin/dazzle',
  }

  exec { 'dazzle_bash':
    path => '/bin/',
    command => "sed -i 's:#!/usr/bin/env bash:#!/bin/bash:' /usr/bin/dazzle",
    require => Exec['download_dazzle'],
    onlyif => "grep '#!/usr/bin/env bash' /usr/bin/dazzle",
  }

  exec { 'dazzle_setup':
    path => '/usr/bin/',
    command => 'dazzle setup',
    require => Exec['dazzle_bash'],
    unless => 'test -f /home/storage/.ssh/authorized_keys',
  }

}

define sparkleshare::project {

  exec { "project_${name}":
    path => '/usr/bin/',
    command => "dazzle create ${name}",
    unless => "test -d /home/storage/${name}",
  }

}
